searchNodes=[{"ref":"ISO8583.html","title":"ISO8583","module":"ISO8583","type":"module","doc":"ISO 8583 messaging library for Elixir. This library has utilities validate, encode and decode message between systems using ISO 8583 regadless of the language the other system is written in. message = %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;,&quot;70&quot;: &quot;001&quot;} {:ok, encoded} = ISO8583.encode(message) # {:ok, &lt;&lt;0, 49, 48, 56, 48, 48, 130, 56, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 48, 49, 56, 49, 54, ...&gt;&gt;} {:ok, decoded} = ISO8583.decode(encoded) # {:ok, %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;,&quot;70&quot;: &quot;001&quot;}} Installation def deps do [ {:iso_8583, &quot;~&gt; 0.1.2&quot;} ] end Customization and configuration All exposed API functions take options with the following configurable options. ### TCP Length Indicator This is used to specify whether or not to include the 2 byte hexadecimal encoded byte length of the whole message whe encoding or to consider it when decoding. This value is set to true by default. Example: ISO8583.encode(some_message, tcp_len_header: false) Bitmap encoding Primary and SecondaryBitmap encoding bitmap for fields 0-127 is configurable like below. Examples: ISO8583.encode(some_message, bitmap_encoding: :ascii) # will result in 32 byte length bitmap ISO8583.encode(some_message) # will default to :hex result in 16 byte length bitmap encoded hexadecimal Custom formats Custom formats for data type, data length and length type for all fields including special bitmaps like for 127.1 and 127.25.1 are configurable through custom formats. The default formats will be replaced by the custom one. To see the default formats check here Example: Here we override field 2 to have maximum of 30 characters. custome_format = %{ &quot;2&quot;: %{ content_type: &quot;n&quot;, label: &quot;Primary account number (PAN)&quot;, len_type: &quot;llvar&quot;, max_len: 30, min_len: 1 } } message = some_message |&gt; Map.put(:&quot;2&quot;, &quot;444466668888888888888888&quot;) ISO8583.encode(message, formats: custome_format)"},{"ref":"ISO8583.html#decode/2","title":"ISO8583.decode/2","module":"ISO8583","type":"function","doc":"Function to decode an ISO8583 binary using custimizable rules as describe in customization section. See the formats module for details. Examples iex&gt; message = &lt;&lt;0, 49, 48, 56, 48, 48, 130, 56, 0, 0, 0, 0, iex&gt; 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 48, 56, 49, 56, iex&gt; 49, 54, 48, 50, 52, 52, 54, 52, 54, 52, 54, 53, iex&gt; 49, 54, 48, 50, 52, 52, 48, 56, 49, 56, 48, 48, iex&gt; 49&gt;&gt; iex&gt;ISO8583.decode(message) {:ok, %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;, &quot;70&quot;: &quot;001&quot; }}"},{"ref":"ISO8583.html#decode_127/2","title":"ISO8583.decode_127/2","module":"ISO8583","type":"function","doc":"Function to expand field 127 to its sub fields. Examples iex&gt;message = %{ iex&gt;&quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; iex&gt;} %{ &quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; } iex&gt;ISO8583.decode_127(message) {:ok, %{ &quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; }}"},{"ref":"ISO8583.html#decode_127_25/2","title":"ISO8583.decode_127_25/2","module":"ISO8583","type":"function","doc":"Function to expand field 127.25 to its sub fields Examples iex&gt;message = %{ iex&gt;&quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, iex&gt;&quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; iex&gt;} %{ &quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; } iex&gt;ISO8583.decode_127_25(message) {:ok, %{ &quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.25.12&quot;: &quot;61F379D43D5AEEBC&quot;, &quot;127.25.13&quot;: &quot;80&quot;, &quot;127.25.14&quot;: &quot;00000000000000001E0302031F00&quot;, &quot;127.25.15&quot;: &quot;020300&quot;, &quot;127.25.18&quot;: &quot;06010A03A09000&quot;, &quot;127.25.2&quot;: &quot;000000005000&quot;, &quot;127.25.20&quot;: &quot;008C&quot;, &quot;127.25.21&quot;: &quot;E0D0C8&quot;, &quot;127.25.22&quot;: &quot;404&quot;, &quot;127.25.23&quot;: &quot;21&quot;, &quot;127.25.24&quot;: &quot;0280048800&quot;, &quot;127.25.26&quot;: &quot;404&quot;, &quot;127.25.27&quot;: &quot;170911&quot;, &quot;127.25.28&quot;: &quot;00000147&quot;, &quot;127.25.29&quot;: &quot;60&quot;, &quot;127.25.3&quot;: &quot;000000000000&quot;, &quot;127.25.30&quot;: &quot;BAC24959&quot;, &quot;127.25.4&quot;: &quot;A0000000031010&quot;, &quot;127.25.5&quot;: &quot;5C00&quot;, &quot;127.25.6&quot;: &quot;0128&quot;, &quot;127.25.7&quot;: &quot;FF00&quot; }}"},{"ref":"ISO8583.html#encode/2","title":"ISO8583.encode/2","module":"ISO8583","type":"function","doc":"Function to encode json or Elixir map into ISO 8583 encoded binary. Use this to encode all fields that are supported. See the formats module for details. Examples iex&gt; message = %{ iex&gt; &quot;0&quot;: &quot;0800&quot;, iex&gt; &quot;7&quot;: &quot;0818160244&quot;, iex&gt; &quot;11&quot;: &quot;646465&quot;, iex&gt; &quot;12&quot;: &quot;160244&quot;, iex&gt; &quot;13&quot;: &quot;0818&quot;, iex&gt; &quot;70&quot;: &quot;001&quot; iex&gt; } %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;, &quot;70&quot;: &quot;001&quot; } iex&gt;ISO8583.encode(message) {:ok, &lt;&lt;0, 49, 48, 56, 48, 48, 130, 56, 0, 0, 0, 0, 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 48, 56, 49, 56, 49, 54, 48, 50, 52, 52, 54, 52, 54, 52, 54, 53, 49, 54, 48, 50, 52, 52, 48, 56, 49, 56, 48, 48, 49&gt;&gt;}"},{"ref":"ISO8583.html#encode_127/2","title":"ISO8583.encode_127/2","module":"ISO8583","type":"function","doc":"Function to encode field 127 extensions. Examples iex&gt;message = %{ iex&gt;&quot;127.1&quot;: &quot;0000008000000000&quot;, iex&gt;&quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; iex&gt;} %{ &quot;127.1&quot;: &quot;0000008000000000&quot;, &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; } iex&gt;ISO8583.encode_127(message) {:ok, %{ &quot;127&quot;: &quot;000000800000000001927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.1&quot;: &quot;0000008000000000&quot;, &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot; }}"},{"ref":"ISO8583.html#encode_127_25/2","title":"ISO8583.encode_127_25/2","module":"ISO8583","type":"function","doc":"Function to encode field 127.25 extensions. Examples iex&gt;message = %{ iex&gt;&quot;127.25.1&quot;: &quot;7E1E5F7C00000000&quot;, iex&gt;&quot;127.25.12&quot;: &quot;61F379D43D5AEEBC&quot;, iex&gt;&quot;127.25.13&quot;: &quot;80&quot;, iex&gt;&quot;127.25.14&quot;: &quot;00000000000000001E0302031F00&quot;, iex&gt;&quot;127.25.15&quot;: &quot;020300&quot;, iex&gt;&quot;127.25.18&quot;: &quot;06010A03A09000&quot;, iex&gt;&quot;127.25.2&quot;: &quot;000000005000&quot;, iex&gt;&quot;127.25.20&quot;: &quot;008C&quot;, iex&gt;&quot;127.25.21&quot;: &quot;E0D0C8&quot;, iex&gt;&quot;127.25.22&quot;: &quot;404&quot;, iex&gt;&quot;127.25.23&quot;: &quot;21&quot;, iex&gt;&quot;127.25.24&quot;: &quot;0280048800&quot;, iex&gt;&quot;127.25.26&quot;: &quot;404&quot;, iex&gt;&quot;127.25.27&quot;: &quot;170911&quot;, iex&gt;&quot;127.25.28&quot;: &quot;00000147&quot;, iex&gt;&quot;127.25.29&quot;: &quot;60&quot;, iex&gt;&quot;127.25.3&quot;: &quot;000000000000&quot;, iex&gt;&quot;127.25.30&quot;: &quot;BAC24959&quot;, iex&gt;&quot;127.25.4&quot;: &quot;A0000000031010&quot;, iex&gt;&quot;127.25.5&quot;: &quot;5C00&quot;, iex&gt;&quot;127.25.6&quot;: &quot;0128&quot;, iex&gt;&quot;127.25.7&quot;: &quot;FF00&quot; iex&gt;} %{ &quot;127.25.1&quot;: &quot;7E1E5F7C00000000&quot;, &quot;127.25.2&quot;: &quot;000000005000&quot;, &quot;127.25.3&quot;: &quot;000000000000&quot;, &quot;127.25.4&quot;: &quot;A0000000031010&quot;, &quot;127.25.5&quot;: &quot;5C00&quot;, &quot;127.25.6&quot;: &quot;0128&quot;, &quot;127.25.7&quot;: &quot;FF00&quot;, &quot;127.25.12&quot;: &quot;61F379D43D5AEEBC&quot;, &quot;127.25.13&quot;: &quot;80&quot;, &quot;127.25.14&quot;: &quot;00000000000000001E0302031F00&quot;, &quot;127.25.15&quot;: &quot;020300&quot;, &quot;127.25.18&quot;: &quot;06010A03A09000&quot;, &quot;127.25.20&quot;: &quot;008C&quot;, &quot;127.25.21&quot;: &quot;E0D0C8&quot;, &quot;127.25.22&quot;: &quot;404&quot;, &quot;127.25.23&quot;: &quot;21&quot;, &quot;127.25.24&quot;: &quot;0280048800&quot;, &quot;127.25.26&quot;: &quot;404&quot;, &quot;127.25.27&quot;: &quot;170911&quot;, &quot;127.25.28&quot;: &quot;00000147&quot;, &quot;127.25.29&quot;: &quot;60&quot;, &quot;127.25.30&quot;: &quot;BAC24959&quot; } iex&gt;ISO8583.encode_127_25(message) {:ok, %{ &quot;127.25&quot;: &quot;01927E1E5F7C0000000000000000500000000000000014A00000000310105C000128FF0061F379D43D5AEEBC8002800000000000000001E0302031F000203001406010A03A09000008CE0D0C840421028004880040417091180000014760BAC24959&quot;, &quot;127.25.1&quot;: &quot;7E1E5F7C00000000&quot;, &quot;127.25.12&quot;: &quot;61F379D43D5AEEBC&quot;, &quot;127.25.13&quot;: &quot;80&quot;, &quot;127.25.14&quot;: &quot;00000000000000001E0302031F00&quot;, &quot;127.25.15&quot;: &quot;020300&quot;, &quot;127.25.18&quot;: &quot;06010A03A09000&quot;, &quot;127.25.2&quot;: &quot;000000005000&quot;, &quot;127.25.20&quot;: &quot;008C&quot;, &quot;127.25.21&quot;: &quot;E0D0C8&quot;, &quot;127.25.22&quot;: &quot;404&quot;, &quot;127.25.23&quot;: &quot;21&quot;, &quot;127.25.24&quot;: &quot;0280048800&quot;, &quot;127.25.26&quot;: &quot;404&quot;, &quot;127.25.27&quot;: &quot;170911&quot;, &quot;127.25.28&quot;: &quot;00000147&quot;, &quot;127.25.29&quot;: &quot;60&quot;, &quot;127.25.3&quot;: &quot;000000000000&quot;, &quot;127.25.30&quot;: &quot;BAC24959&quot;, &quot;127.25.4&quot;: &quot;A0000000031010&quot;, &quot;127.25.5&quot;: &quot;5C00&quot;, &quot;127.25.6&quot;: &quot;0128&quot;, &quot;127.25.7&quot;: &quot;FF00&quot; }}"},{"ref":"ISO8583.html#valid/2","title":"ISO8583.valid/2","module":"ISO8583","type":"function","doc":"Function check if json message is valid. Examples iex&gt; message = %{ iex&gt; &quot;0&quot;: &quot;0800&quot;, iex&gt; &quot;7&quot;: &quot;0818160244&quot;, iex&gt; &quot;11&quot;: &quot;646465&quot;, iex&gt; &quot;12&quot;: &quot;160244&quot;, iex&gt; &quot;13&quot;: &quot;0818&quot;, iex&gt; &quot;70&quot;: &quot;001&quot; iex&gt; } %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;, &quot;70&quot;: &quot;001&quot; } iex&gt;ISO8583.valid(message) {:ok, message} iex&gt; message = &lt;&lt;0, 49, 48, 56, 48, 48, 130, 56, 0, 0, 0, 0, iex&gt; 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 48, 56, 49, 56, iex&gt; 49, 54, 48, 50, 52, 52, 54, 52, 54, 52, 54, 53, iex&gt; 49, 54, 48, 50, 52, 52, 48, 56, 49, 56, 48, 48, iex&gt; 49&gt;&gt; iex&gt;ISO8583.valid(message) {:ok, %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;, &quot;70&quot;: &quot;001&quot; }}"},{"ref":"ISO8583.html#valid?/2","title":"ISO8583.valid?/2","module":"ISO8583","type":"function","doc":"Function check if json message is valid. Examples iex&gt; message = %{ iex&gt; &quot;0&quot;: &quot;0800&quot;, iex&gt; &quot;7&quot;: &quot;0818160244&quot;, iex&gt; &quot;11&quot;: &quot;646465&quot;, iex&gt; &quot;12&quot;: &quot;160244&quot;, iex&gt; &quot;13&quot;: &quot;0818&quot;, iex&gt; &quot;70&quot;: &quot;001&quot; iex&gt; } %{ &quot;0&quot;: &quot;0800&quot;, &quot;11&quot;: &quot;646465&quot;, &quot;12&quot;: &quot;160244&quot;, &quot;13&quot;: &quot;0818&quot;, &quot;7&quot;: &quot;0818160244&quot;, &quot;70&quot;: &quot;001&quot; } iex&gt;ISO8583.valid?(message) true iex&gt; message = &lt;&lt;0, 49, 48, 56, 48, 48, 130, 56, 0, 0, 0, 0, iex&gt; 0, 0, 4, 0, 0, 0, 0, 0, 0, 0, 48, 56, 49, 56, iex&gt; 49, 54, 48, 50, 52, 52, 54, 52, 54, 52, 54, 53, iex&gt; 49, 54, 48, 50, 52, 52, 48, 56, 49, 56, 48, 48, iex&gt; 49&gt;&gt; iex&gt;ISO8583.valid?(message) true"},{"ref":"ISO8583.Bitmap.html","title":"ISO8583.Bitmap","module":"ISO8583.Bitmap","type":"module","doc":"This module is for building the bitmaps. It supports both Primary, Secondary and Tertiary bitmaps for fields 0-127. You can also use the same module to build bitamps for extended fields like 127.0-39 and 127.25.0-33"},{"ref":"ISO8583.Bitmap.html#fields_0_127/1","title":"ISO8583.Bitmap.fields_0_127/1","module":"ISO8583.Bitmap","type":"function","doc":"Function to create bitmap for fields 0-127. Takes a message map and creates a bitmap representing all fields in the message. Filed 0 is turned on my default because every message must have a valid MTI. Examples iex&gt; message = %{ iex&gt;&quot;0&quot;: &quot;1200&quot;, iex&gt;&quot;2&quot;: &quot;4761739001010119&quot;, iex&gt;&quot;3&quot;: &quot;000000&quot;, iex&gt;&quot;4&quot;: &quot;000000005000&quot;, iex&gt;&quot;6&quot;: &quot;000000005000&quot;, iex&gt;&quot;22&quot;: &quot;051&quot;, iex&gt;&quot;23&quot;: &quot;001&quot;, iex&gt;&quot;25&quot;: &quot;00&quot;, iex&gt;&quot;26&quot;: &quot;12&quot;, iex&gt;&quot;32&quot;: &quot;423935&quot;, iex&gt;&quot;33&quot;: &quot;111111111&quot;, iex&gt;&quot;35&quot;: &quot;4761739001010119D22122011758928889&quot;, iex&gt;&quot;41&quot;: &quot;12345678&quot; iex&gt;} %{ &quot;0&quot;: &quot;1200&quot;, &quot;2&quot;: &quot;4761739001010119&quot;, &quot;22&quot;: &quot;051&quot;, &quot;23&quot;: &quot;001&quot;, &quot;25&quot;: &quot;00&quot;, &quot;26&quot;: &quot;12&quot;, &quot;3&quot;: &quot;000000&quot;, &quot;32&quot;: &quot;423935&quot;, &quot;33&quot;: &quot;111111111&quot;, &quot;35&quot;: &quot;4761739001010119D22122011758928889&quot;, &quot;4&quot;: &quot;000000005000&quot;, &quot;41&quot;: &quot;12345678&quot;, &quot;6&quot;: &quot;000000005000&quot; } iex&gt;Bitmap.fields_0_127(message) &quot;F40006C1A08000000000000000000000&quot;"},{"ref":"ISO8583.Bitmap.html#fields_0_127_0_39/1","title":"ISO8583.Bitmap.fields_0_127_0_39/1","module":"ISO8583.Bitmap","type":"function","doc":"Function to create bitmap for fields 127.0-39 Takes a message map and creates a bitmap representing all the 127 extension fields in the message. Examples iex&gt;message = %{ iex&gt;&quot;127.25&quot;: &quot;7E1E5F7C0000000000000000200000000000000014A00000000310107C0000C2FF004934683D9B5D1447800280000000000000000410342031F024103021406010A03A42002008CE0D0C84042100000488004041709018000003276039079EDA&quot;, iex&gt;} %{ &quot;127.25&quot;: &quot;7E1E5F7C0000000000000000200000000000000014A00000000310107C0000C2FF004934683D9B5D1447800280000000000000000410342031F024103021406010A03A42002008CE0D0C84042100000488004041709018000003276039079EDA&quot;, } iex&gt;Bitmap.fields_0_127_0_39(message) &quot;0000008000000000&quot;"},{"ref":"ISO8583.Bitmap.html#fields_0_127_25_0_33/1","title":"ISO8583.Bitmap.fields_0_127_25_0_33/1","module":"ISO8583.Bitmap","type":"function","doc":"Function to create bitmap for fields 127.25.0-39 Takes a message map and creates a bitmap representing all the 127.25 extension fields in the message. Examples iex&gt;message = %{ iex&gt;&quot;127.25.1&quot;: &quot;7E1E5F7C00000000&quot;, iex&gt;&quot;127.25.12&quot;: &quot;4934683D9B5D1447&quot;, iex&gt;&quot;127.25.13&quot;: &quot;80&quot;, iex&gt;&quot;127.25.14&quot;: &quot;0000000000000000410342031F02&quot;, iex&gt;&quot;127.25.15&quot;: &quot;410302&quot;, iex&gt;&quot;127.25.18&quot;: &quot;06010A03A42002&quot;, iex&gt;&quot;127.25.2&quot;: &quot;000000002000&quot;, iex&gt;&quot;127.25.20&quot;: &quot;008C&quot;, iex&gt;&quot;127.25.21&quot;: &quot;E0D0C8&quot;, iex&gt;&quot;127.25.22&quot;: &quot;404&quot;, iex&gt;&quot;127.25.23&quot;: &quot;21&quot;, iex&gt;&quot;127.25.24&quot;: &quot;0000048800&quot;, iex&gt;&quot;127.25.26&quot;: &quot;404&quot;, iex&gt;&quot;127.25.27&quot;: &quot;170901&quot;, iex&gt;&quot;127.25.28&quot;: &quot;00000327&quot;, iex&gt;&quot;127.25.29&quot;: &quot;60&quot;, iex&gt;&quot;127.25.3&quot;: &quot;000000000000&quot;, iex&gt;&quot;127.25.30&quot;: &quot;39079EDA&quot;, iex&gt;&quot;127.25.4&quot;: &quot;A0000000031010&quot;, iex&gt;&quot;127.25.5&quot;: &quot;7C00&quot;, iex&gt;&quot;127.25.6&quot;: &quot;00C2&quot;, iex&gt;&quot;127.25.7&quot;: &quot;FF00&quot; iex&gt; } %{ &quot;127.25.1&quot;: &quot;7E1E5F7C00000000&quot;, &quot;127.25.12&quot;: &quot;4934683D9B5D1447&quot;, &quot;127.25.13&quot;: &quot;80&quot;, &quot;127.25.14&quot;: &quot;0000000000000000410342031F02&quot;, &quot;127.25.15&quot;: &quot;410302&quot;, &quot;127.25.18&quot;: &quot;06010A03A42002&quot;, &quot;127.25.2&quot;: &quot;000000002000&quot;, &quot;127.25.20&quot;: &quot;008C&quot;, &quot;127.25.21&quot;: &quot;E0D0C8&quot;, &quot;127.25.22&quot;: &quot;404&quot;, &quot;127.25.23&quot;: &quot;21&quot;, &quot;127.25.24&quot;: &quot;0000048800&quot;, &quot;127.25.26&quot;: &quot;404&quot;, &quot;127.25.27&quot;: &quot;170901&quot;, &quot;127.25.28&quot;: &quot;00000327&quot;, &quot;127.25.29&quot;: &quot;60&quot;, &quot;127.25.3&quot;: &quot;000000000000&quot;, &quot;127.25.30&quot;: &quot;39079EDA&quot;, &quot;127.25.4&quot;: &quot;A0000000031010&quot;, &quot;127.25.5&quot;: &quot;7C00&quot;, &quot;127.25.6&quot;: &quot;00C2&quot;, &quot;127.25.7&quot;: &quot;FF00&quot; } iex&gt;Bitmap.fields_0_127_25_0_33(message) &quot;7E1E5F7C00000000&quot;"},{"ref":"ISO8583.DataTypes.html","title":"ISO8583.DataTypes","module":"ISO8583.DataTypes","type":"module","doc":"This module provides utilities for validation ISO 8583 field data types based the description below pulled from a postilion interface documentation. Each character gets validated against the regex that defines each fata type. a - Alphabetic characters, A through Z and a through z n - Numeric digits, 0 through 9 p - Pad character, space s - Special characters, i.e. other printable an - Alphabetic and numeric characters as - Alphabetic and special characters ns - Numeric and special characters anp - Alphabetic, numeric and pad characters ans - Alphabetic, numeric and special characters x C for credit, D for debit, always associated with a numeric amount field, i.e. x+n16 means a prefix of C or D followed by 16 numeric characters. b - Binary representation of data z - Track 2 as defined in ISO 7813"},{"ref":"ISO8583.DataTypes.html#check_data_length/3","title":"ISO8583.DataTypes.check_data_length/3","module":"ISO8583.DataTypes","type":"function","doc":""},{"ref":"ISO8583.DataTypes.html#valid?/3","title":"ISO8583.DataTypes.valid?/3","module":"ISO8583.DataTypes","type":"function","doc":"Function to validate the data type in a field, returns true if all characters in a field matches the type otherwize return false Examples iex&gt; DataTypes.valid?(&quot;2&quot;, &quot;440044444444444&quot;, ISO8583.Formats.format(:&quot;2&quot;)) true iex&gt; DataTypes.valid?(&quot;2&quot;, &quot;440044444444444R&quot;, ISO8583.Formats.format(:&quot;2&quot;)) {:error, &quot;While processing field 2 data provided is not of type &#39;n&#39;&quot;} iex&gt; DataTypes.valid?(&quot;2&quot;, &quot;44004444444444499999999&quot;, ISO8583.Formats.format(:&quot;2&quot;)) {:error, &quot;Invalid length of data on field 2, expected maximum of 19 , found 23&quot;}"},{"ref":"ISO8583.Message.MTI.html","title":"ISO8583.Message.MTI","module":"ISO8583.Message.MTI","type":"module","doc":"Defines supported Message Type Identifiers (MTIs). The following ate supported MTIs. Privat Types &quot;9900&quot;: &quot;Private use, reserved by ISO, request, Acquirer&quot;, &quot;9901&quot;: &quot;Private use, reserved by ISO, request, Acquirer repeat&quot;, &quot;9902&quot;: &quot;Private use, reserved by ISO, request, Issuer&quot;, &quot;9903&quot;: &quot;Private use, reserved by ISO, request, Issuer repeat&quot;, &quot;9904&quot;: &quot;Private use, reserved by ISO, request, Other&quot;, &quot;9905&quot;: &quot;Private use, reserved by ISO, request, Other repeat&quot;, &quot;9910&quot;: &quot;Private use, reserved by ISO, request response, Acquirer&quot;, &quot;9911&quot;: &quot;Private use, reserved by ISO, request response, Acquirer repeat&quot;, &quot;9912&quot;: &quot;Private use, reserved by ISO, request response, Issuer&quot;, &quot;9913&quot;: &quot;Private use, reserved by ISO, request response, Issuer repeat&quot;, &quot;9914&quot;: &quot;Private use, reserved by ISO, request response, Other&quot;, &quot;9915&quot;: &quot;Private use, reserved by ISO, request response, Other repeat&quot;, &quot;9920&quot;: &quot;Private use, reserved by ISO, advice, Acquirer&quot;, &quot;9921&quot;: &quot;Private use, reserved by ISO, advice, Acquirer repeat&quot;, &quot;9922&quot;: &quot;Private use, reserved by ISO, advice, Issuer&quot;, &quot;9923&quot;: &quot;Private use, reserved by ISO, advice, Issuer repeat&quot;, &quot;9924&quot;: &quot;Private use, reserved by ISO, advice, Other&quot;, &quot;9925&quot;: &quot;Private use, reserved by ISO, advice, Other repeat&quot;, &quot;9930&quot;: &quot;Private use, reserved by ISO, advice response, Acquirer&quot;, &quot;9931&quot;: &quot;Private use, reserved by ISO, advice response, Acquirer repeat&quot;, &quot;9932&quot;: &quot;Private use, reserved by ISO, advice response, Issuer&quot;, &quot;9933&quot;: &quot;Private use, reserved by ISO, advice response, Issuer repeat&quot;, &quot;9934&quot;: &quot;Private use, reserved by ISO, advice response, Other&quot;, &quot;9935&quot;: &quot;Private use, reserved by ISO, advice response, Other repeat&quot;, &quot;9940&quot;: &quot;Private use, reserved by ISO, notification, Acquirer&quot;, &quot;9941&quot;: &quot;Private use, reserved by ISO, notification, Acquirer repeat&quot;, &quot;9942&quot;: &quot;Private use, reserved by ISO, notification, Issuer&quot;, &quot;9943&quot;: &quot;Private use, reserved by ISO, notification, Issuer repeat&quot;, &quot;9944&quot;: &quot;Private use, reserved by ISO, notification, Other&quot;, &quot;9945&quot;: &quot;Private use, reserved by ISO, notification, Other repeat&quot;, &quot;9950&quot;: &quot;Private use, reserved by ISO, notification response, Acquirer&quot;, &quot;9951&quot;: &quot;Private use, reserved by ISO, notification response, Acquirer repeat&quot;, &quot;9952&quot;: &quot;Private use, reserved by ISO, notification response, Issuer&quot;, &quot;9953&quot;: &quot;Private use, reserved by ISO, notification response, Issuer repeat&quot;, &quot;9954&quot;: &quot;Private use, reserved by ISO, notification response, Other&quot;, &quot;9955&quot;: &quot;Private use, reserved by ISO, notification response, Other repeat&quot; 1987 Version MTIs - &quot;0100&quot;: &quot;Authorization request&quot;, - &quot;0110&quot;: &quot;Authorization request response&quot;, - &quot;0101&quot;: &quot;Authorization request repeat&quot;, - &quot;0120&quot;: &quot;Authorization advice&quot;, - &quot;0121&quot;: &quot;Authorization advice repeat&quot;, - &quot;0130&quot;: &quot;Authorization advice response&quot;, - &quot;0200&quot;: &quot;Financial request&quot;, - &quot;0201&quot;: &quot;Financial request repeat&quot;, - &quot;0202&quot;: &quot;Financial completion request&quot;, - &quot;0203&quot;: &quot;Financial completion request Repeat&quot;, - &quot;0210&quot;: &quot;Financial request response&quot;, - &quot;0212&quot;: &quot;Financial completion response&quot;, - &quot;0220&quot;: &quot;Financial Transaction Advice&quot;, - &quot;0221&quot;: &quot;Financial Transaction Advice Repeat&quot;, - &quot;0230&quot;: &quot;Financial Transaction advice response&quot;, - &quot;0320&quot;: &quot;Acquirer File Update Advice&quot;, - &quot;0321&quot;: &quot;Acquirer File Update Advice Repeat&quot;, - &quot;0322&quot;: &quot;Issuer file update advice&quot;, - &quot;0323&quot;: &quot;Issuer file update advice repeat&quot;, - &quot;0330&quot;: &quot;Acquirer File Update Advice Response&quot;, - &quot;0332&quot;: &quot;Issuer File Update Advice Response&quot;, - &quot;0400&quot;: &quot;Reversal request&quot;, - &quot;0401&quot;: &quot;Reversal request Repeat&quot;, - &quot;0410&quot;: &quot;Reversal request response&quot;, - &quot;0420&quot;: &quot;Reversal advice&quot;, - &quot;0421&quot;: &quot;Reversal advice Repeat&quot;, - &quot;0430&quot;: &quot;Reversal advice response&quot;, - &quot;0500&quot;: &quot;Acquirer reconciliation request&quot;, - &quot;0501&quot;: &quot;Acquirer reconciliation request Repeat&quot;, - &quot;0510&quot;: &quot;Acquirer reconciliation request response&quot;, - &quot;0520&quot;: &quot;Acquirer reconciliation advice&quot;, - &quot;0521&quot;: &quot;Acquirer reconciliation advice repeat&quot;, - &quot;0522&quot;: &quot;Card issuer reconciliation advice&quot;, - &quot;0532&quot;: &quot;Card issuer reconciliation advice response&quot;, - &quot;0523&quot;: &quot;Card issuer reconciliation advice repeat&quot;, - &quot;0530&quot;: &quot;Acquirer reconciliation advice response&quot;, - &quot;0600&quot;: &quot;Administration request&quot;, - &quot;0601&quot;: &quot;Administration request repeat&quot;, - &quot;0610&quot;: &quot;Administration response&quot;, - &quot;0620&quot;: &quot;Administration advice&quot;, - &quot;0621&quot;: &quot;Administration advice repeat&quot;, - &quot;0630&quot;: &quot;Administration advice response&quot;, - &quot;0800&quot;: &quot;Network Management request&quot;, - &quot;0801&quot;: &quot;Network Management request repeat&quot;, - &quot;0810&quot;: &quot;Network Management request response&quot;, - &quot;0820&quot;: &quot;Network Management advice&quot; 1993 Version MTIs Similar to 1987 version MTIs but presceeded with 1 instead of 0 2003 Version MTIs Similar to 1987 version MTIs but presceeded with 2 instead of 0"},{"ref":"ISO8583.Message.MTI.html#get/1","title":"ISO8583.Message.MTI.get/1","module":"ISO8583.Message.MTI","type":"function","doc":"Function get description of MTI. Examples iex&gt; ISO8583.Message.MTI.get(:&quot;0100&quot;) &quot;Authorization request&quot; iex&gt;ISO8583.Message.MTI.get(:&quot;3100&quot;) nil"},{"ref":"ISO8583.Message.MTI.html#is_valid?/1","title":"ISO8583.Message.MTI.is_valid?/1","module":"ISO8583.Message.MTI","type":"function","doc":"Function check validity of MTI. Examples iex&gt; ISO8583.Message.MTI.is_valid?(:&quot;0100&quot;) true iex&gt;ISO8583.Message.MTI.is_valid?(:&quot;3100&quot;) false"}]